# --------------------------------------------------------
# Datenbank: SLAED CMS 3.3 Pro
# --------------------------------------------------------

CREATE TABLE `{pref}_admins` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `title` varchar(50) default NULL,
  `url` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `pwd` varchar(50) default NULL,
  `super` tinyint(1) default NULL,
  `modules` varchar(255) NOT NULL default '',
  `lang` varchar(30) NOT NULL default '',
  `ip` varchar(15) default NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_album_categories` (
  `gallid` int(3) NOT NULL auto_increment,
  `gallname` varchar(30) NOT NULL default '',
  `gallimg` varchar(50) NOT NULL default '',
  `galloc` longtext,
  `description` text NOT NULL,
  `parent` int(3) NOT NULL default '-1',
  `visible` tinyint(3) unsigned NOT NULL default '0',
  `template` int(10) unsigned NOT NULL default '2',
  `thumbwidth` int(2) unsigned NOT NULL default '70',
  `numcol` tinyint(3) unsigned NOT NULL default '3',
  `total` int(10) unsigned NOT NULL default '0',
  `lastadd` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`gallid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_album_comments` (
  `cid` int(11) NOT NULL auto_increment,
  `pid` int(4) NOT NULL default '0',
  `comment` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `name` varchar(255) default NULL,
  `member` int(1) NOT NULL default '0',
  PRIMARY KEY (`cid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_album_media_class` (
  `id` int(2) NOT NULL default '0',
  `class` varchar(10) NOT NULL default '',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

INSERT INTO `{pref}_album_media_class` VALUES (1, 'Image');
INSERT INTO `{pref}_album_media_class` VALUES (2, 'Audio');
INSERT INTO `{pref}_album_media_class` VALUES (3, 'Video');

CREATE TABLE `{pref}_album_media_types` (
  `extension` varchar(10) NOT NULL default '',
  `description` text NOT NULL,
  `filetype` varchar(20) NOT NULL default '',
  `displaytag` text NOT NULL,
  `thumbnail` varchar(255) NOT NULL default '',
  PRIMARY KEY (`extension`)
) TYPE=MyISAM;

INSERT INTO `{pref}_album_media_types` VALUES ('bmp', 'Image/BMP', '1', '<img src="<:FILENAME:>" border="0" alt="<:DESCRIPTION:>">', 'GIF.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('gif', 'Image/GIF', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'GIF.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('jpg', 'Image/JPG', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'JPG.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('png', 'Image/PNG', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'PNG.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('mov', 'Video/Quicktime', '3', '<embed controller="true" width="<:WIDTH:>" height="<:HEIGHT:>" src="<:FILENAME:>" border="0" pluginspage="http://www.apple.com/quicktime/download/indext.html"></embed>', 'MOV.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('avi', 'Video/AVI', '3', '<embed src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" type="application/x-mplayer2"></embed>', 'AVI.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('mpg', 'Video/MPEG', '3', '<embed src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" type="application/x-mplayer2"></embed>', 'MPG.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('mp3', 'Audio/MP3', '2', '<embed controller="true" width="200" height="20" src="<:FILENAME:>" border="0" pluginspage="http://www.apple.com/quicktime/download/indext.html"></embed>', 'MP3.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('mid', 'Audio/MIDI', '2', '<embed src="<:FILENAME:>" type="audio/midi" hidden="false" autostart="true" loop="true" height="20" width="200"></embed>', 'MID.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('swf', 'Video/Flash', '3', '<embed src="<:FILENAME:>" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="<:WIDTH:>" height="<:HEIGHT:>" play="true" loop="true" quality="high" scale="showall" menu="true"></embed>', 'SWF.gif');
INSERT INTO `{pref}_album_media_types` VALUES ('rm', 'Video/RealMedia', '3', '<OBJECT height="<:HEIGHT:>">\r\n<PARAM NAME="CONTROLS" VALUE="ImageWindow">\r\n<PARAM NAME="AUTOSTART" Value="true">\r\n<PARAM NAME="SRC" VALUE="<:FILENAME:>">\r\n<embed height="<:HEIGHT:>" width="<:WIDTH:>" controls="ImageWindow" src="<:FILENAME:>?embed" type="audio/x-pn-realaudio-plugin" autostart="true" nolabels="0" autogotourl="-1"></OBJECT>', 'REAL.gif');

CREATE TABLE `{pref}_album_pictures` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `gid` int(3) NOT NULL default '0',
  `img` varchar(255) NOT NULL default '',
  `counter` int(10) unsigned NOT NULL default '0',
  `submitter` varchar(24) NOT NULL default 'Webmaster',
  `date` datetime default NULL,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `votes` int(10) unsigned NOT NULL default '0',
  `rate` float NOT NULL default '0',
  `extension` varchar(10) NOT NULL default 'image',
  `width` smallint(5) unsigned NOT NULL default '0',
  `height` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_album_pictures_newpicture` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `gid` int(3) NOT NULL default '0',
  `img` varchar(255) NOT NULL default '',
  `counter` int(10) unsigned NOT NULL default '0',
  `submitter` varchar(24) NOT NULL default 'Webmaster',
  `date` datetime default NULL,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `votes` int(10) unsigned NOT NULL default '0',
  `rate` float NOT NULL default '0',
  `extension` varchar(10) NOT NULL default 'image',
  `width` smallint(5) unsigned NOT NULL default '0',
  `height` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_album_rate_check` (
  `ip` varchar(20) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `pid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`time`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_album_template_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `type` tinyint(3) unsigned NOT NULL default '2',
  `templateCategory` longtext NOT NULL,
  `templatePictures` longtext NOT NULL,
  `templateCSS` longtext,
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

INSERT INTO `{pref}_album_template_types` VALUES (1, 'Default Main Page Template', 1, '<table align="center">\r\n<tr>\r\n        <td colspan="2">\r\n                <:GALLNAME:>\r\n        </td>\r\n</tr>\r\n<tr>\r\n        <td>\r\n                <:IMAGE:>\r\n        </td>\r\n        <td valign="top" align="left">\r\n                <:DESCRIPTION:>\r\n        </td>\r\n</tr>\r\n</table>', '2', '.common_text_black {text-color:#000000}\r\n.common_text_white {text-color:#ffffff}');
INSERT INTO `{pref}_album_template_types` VALUES (2, 'Default', 2, '<table border="0" cellpadding="0" cellspacing="0">\r\n<tr>\r\n        <td>\r\n                <:IMAGE:>\r\n        </td>\r\n        <td valign="top">\r\n                <p>\r\n                                <table>\r\n                                <tr>\r\n                                        <td align="center">\r\n                                                <:DATE:>\r\n                                        </td>\r\n                                        <td align="center">\r\n                                                <:RATE:>\r\n                                        </td>\r\n                                        <td align="center">\r\n                                                <:HITS:>\r\n                                        </td>\r\n                                        <td align="center">\r\n                                                <:NEW:>\r\n                                        </td>\r\n                                </tr>\r\n                                </table>\r\n                </p>\r\n                <p>\r\n                                <:DESCRIPTION:>\r\n                </p>\r\n                <p>\r\n                                <:NBCOMMENTS:> <br> <:FORMAT:> <br> <:SIZE:>\r\n                </p>\r\n        </td>\r\n</tr>\r\n</table>', '<table>\r\n<tr>\r\n        <td valign="top" align="center">\r\n                <:NAMESIZE:>\r\n                <br><br>\r\n                <TABLE CellPadding="0" CellSpacing="0">\r\n                <TR>\r\n                        <TD valign="top">\r\n                                <:SUBMITTER:>\r\n                                <:DATE:>\r\n                                <:HITS:>\r\n                                <:RATE:>\r\n                        </TD>\r\n                </TR>\r\n                </table><br>\r\n                <:RATINGBAR:><br>\r\n                <:POSTCARD:><br>\r\n                <:DOWNLOAD:><br>\r\n                <:PRINT:>\r\n        </td>\r\n        <td width="80%" align="center">\r\n                <:IMAGE:>\r\n        </td>\r\n</tr>\r\n<tr>\r\n        <td colspan="2"><:DESCRIPTION:></td>\r\n</tr>\r\n<tr>\r\n        <td colspan="2">\r\n                <:COMMENTS:>\r\n        </td>\r\n</tr>\r\n</table>', '.common_text_black {text-color:#000000}\r\n.common_text_white {text-color:#ffffff}');

CREATE TABLE `{pref}_blocks` (
  `bid` int(10) NOT NULL auto_increment,
  `bkey` varchar(15) NOT NULL default '',
  `title` varchar(60) NOT NULL default '',
  `content` text NOT NULL,
  `url` varchar(200) NOT NULL default '',
  `bposition` char(1) NOT NULL default '',
  `weight` int(10) NOT NULL default '1',
  `active` int(1) NOT NULL default '1',
  `refresh` int(10) NOT NULL default '0',
  `time` varchar(14) NOT NULL default '0',
  `blanguage` varchar(30) NOT NULL default '',
  `blockfile` varchar(255) NOT NULL default '',
  `view` int(1) NOT NULL default '0',
  `expire` varchar(14) NOT NULL default '0',
  `action` char(1) NOT NULL default '',
  `which` varchar(255) NOT NULL default '',
  PRIMARY KEY (`bid`),
  KEY `title` (`title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_faq` (
  `fid` int(11) NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `aid` varchar(30) NOT NULL default '',
  `title` varbinary(100) default NULL,
  `time` datetime default NULL,
  `hometext` text,
  `comments` int(11) NOT NULL default '0',
  `counter` int(11) NOT NULL default '0',
  `acomm` int(1) NOT NULL default '0',
  `score` int(11) NOT NULL default '0',
  `ratings` int(11) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`fid`),
  KEY `catid` (`catid`),
  KEY `counter` (`counter`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_groups` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `points` int(10) NOT NULL default '0',
  `extra` int(1) NOT NULL default '0',
  `rank` varchar(255) NOT NULL default '',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_headlines` (
  `hid` int(11) NOT NULL auto_increment,
  `sitename` varchar(30) NOT NULL default '',
  `headlinesurl` varchar(200) NOT NULL default '',
  PRIMARY KEY (`hid`)
) TYPE=MyISAM;

INSERT INTO `{pref}_headlines` VALUES (1, 'SLAED CMS - News', 'http://www.slaed.net/rss.php');
INSERT INTO `{pref}_headlines` VALUES (2, 'SLAED CMS - Links', 'http://www.slaed.net/rss.php?mod=Links&limit=10');
INSERT INTO `{pref}_headlines` VALUES (3, 'SLAED CMS - Files', 'http://www.slaed.net/rss.php?mod=Files&limit=10');

CREATE TABLE `{pref}_message` (
  `mid` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `content` text NOT NULL,
  `expire` int(7) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  `view` int(1) NOT NULL default '1',
  `mlanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY (`mid`)
) TYPE=MyISAM;

INSERT INTO `{pref}_message` VALUES (1, 'Welcome to SLAED CMS!', '[center][b]Congratulations!<br />\r\nYou have now a web portal installed!<br />\r\nYou can edit or change this message from the Administration page.[/b][/center]', 0, 1, 1, '');

CREATE TABLE `{pref}_modules` (
  `mid` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL default '',
  `custom_title` varchar(50) NOT NULL default '',
  `active` int(1) NOT NULL default '0',
  `view` int(1) NOT NULL default '0',
  `inmenu` tinyint(1) NOT NULL default '1',
  `mod_group` int(10) default '0',
  `blocks` int(1) NOT NULL default '0',
  `blocks_c` int(1) NOT NULL default '0',
  PRIMARY KEY (`mid`),
  KEY `title` (`title`),
  KEY `custom_title` (`custom_title`)
) TYPE=MyISAM;

INSERT INTO `{pref}_modules` VALUES (1, 'Account', 'Account', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (2, 'Album', 'Album', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (3, 'Auto_Links', 'Auto_Links', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (4, 'Contact', 'Contact', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (5, 'Dumper', 'Dumper', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (6, 'FAQ', 'FAQ', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (7, 'Files', 'Files', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (8, 'Html_Content', 'Html_Content', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (9, 'Info', 'Info', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (10, 'Internet_Radio', 'Internet_Radio', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (11, 'Jokes', 'Jokes', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (12, 'Links', 'Links', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (13, 'News', 'News', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (14, 'Pages', 'Pages', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (15, 'Recommend', 'Recommend', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (16, 'Shop', 'Shop', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (17, 'Tiny_mce', 'Tiny_mce', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (18, 'Top_Users', 'Top_Users', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (19, 'Voting', 'Voting', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (20, 'Media', 'Media', 1, 0, 1, 0, 0, 0);
INSERT INTO `{pref}_modules` VALUES (21, 'Search', 'Search', 1, 0, 1, 0, 0, 0);

CREATE TABLE `{pref}_page` (
  `pid` int(11) NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `aid` varchar(30) NOT NULL default '',
  `title` varbinary(100) default NULL,
  `time` datetime default NULL,
  `hometext` text,
  `bodytext` mediumtext NOT NULL,
  `comments` int(11) NOT NULL default '0',
  `counter` int(11) NOT NULL default '0',
  `acomm` int(1) NOT NULL default '0',
  `score` int(11) NOT NULL default '0',
  `ratings` int(11) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`pid`),
  KEY `catid` (`catid`),
  KEY `counter` (`counter`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_session` (
  `uname` varchar(25) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `host_addr` varchar(48) NOT NULL default '',
  `guest` int(1) NOT NULL default '0',
  `module` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY (`time`),
  KEY `guest` (`guest`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_stories` (
  `sid` int(11) NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `aid` varchar(30) NOT NULL default '',
  `title` varbinary(100) default NULL,
  `time` datetime default NULL,
  `hometext` text,
  `bodytext` text NOT NULL,
  `comments` int(11) default '0',
  `counter` int(11) NOT NULL default '0',
  `ihome` int(1) NOT NULL default '0',
  `acomm` int(1) NOT NULL default '0',
  `score` int(11) NOT NULL default '0',
  `ratings` int(11) NOT NULL default '0',
  `associated` text NOT NULL,
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`sid`),
  KEY `catid` (`catid`),
  KEY `counter` (`counter`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_survey` (
  `poll_id` int(11) NOT NULL auto_increment,
  `poll_date` datetime default NULL,
  `poll_title` varchar(255) NOT NULL default '',
  `poll_questions` text NOT NULL,
  `poll_answer_1` int(11) NOT NULL default '0',
  `poll_answer_2` int(11) NOT NULL default '0',
  `poll_answer_3` int(11) NOT NULL default '0',
  `poll_answer_4` int(11) NOT NULL default '0',
  `poll_answer_5` int(11) NOT NULL default '0',
  `poll_answer_6` int(11) NOT NULL default '0',
  `poll_answer_7` int(11) NOT NULL default '0',
  `poll_answer_8` int(11) NOT NULL default '0',
  `poll_answer_9` int(11) NOT NULL default '0',
  `poll_answer_10` int(11) NOT NULL default '0',
  `poll_answer_11` int(11) NOT NULL default '0',
  `poll_answer_12` int(11) NOT NULL default '0',
  `pool_vote` int(11) NOT NULL default '0',
  `pool_comments` int(11) NOT NULL default '0',
  `planguage` varchar(30) NOT NULL default '',
  `acomm` int(1) NOT NULL default '0',
  PRIMARY KEY (`poll_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_files` (
  `lid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `title` varbinary(100) NOT NULL default '',
  `description` text NOT NULL,
  `url` varchar(100) NOT NULL default '',
  `date` datetime default NULL,
  `filesize` int(11) NOT NULL default '0',
  `version` varchar(10) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `homepage` varchar(200) NOT NULL default '',
  `ip_sender` varchar(60) default NULL,
  `votes` int(11) NOT NULL default '0',
  `totalvotes` int(11) NOT NULL default '0',
  `totalcomments` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`lid`),
  KEY `cid` (`cid`),
  KEY `title` (`title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_internet_radio` (
  `radio_id` int(10) unsigned NOT NULL auto_increment,
  `radio_name` varchar(20) NOT NULL default '',
  `radio_stream` varchar(255) NOT NULL default '',
  `radio_url` varchar(255) NOT NULL default '',
  `radio_picture` varchar(50) NOT NULL default '',
  `radio_language` varchar(30) NOT NULL default '',
  PRIMARY KEY (`radio_id`)
) TYPE=MyISAM;

INSERT INTO `{pref}_internet_radio` VALUES (1, 'Rock Radio 101', 'http://www.101.ru/101.asx', 'http://www.101.ru', 'rockradio101.gif', '');
INSERT INTO `{pref}_internet_radio` VALUES (2, 'Russian Songs 101', 'http://www.101.ru/rus.asx', 'http://www.101.ru', 'russiansongs101.gif', '');
INSERT INTO `{pref}_internet_radio` VALUES (3, 'Dance 101', 'http://www.101.ru/dance.asx', 'http://www.101.ru', 'dance101.gif', '');

CREATE TABLE `{pref}_jokes` (
  `jokeid` int(11) NOT NULL auto_increment,
  `author` varchar(100) NOT NULL default '',
  `date` datetime default NULL,
  `name` varchar(100) NOT NULL default '',
  `cat` int(11) NOT NULL default '0',
  `joke` text NOT NULL,
  `rating` varchar(100) NOT NULL default '0',
  `ratingtot` varchar(100) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`jokeid`),
  KEY `cat` (`cat`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_links` (
  `lid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `title` varbinary(100) NOT NULL default '',
  `description` text NOT NULL,
  `url` varchar(100) NOT NULL default '',
  `date` datetime default NULL,
  `name` varchar(100) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `ip_sender` varchar(60) default NULL,
  `votes` int(11) NOT NULL default '0',
  `totalvotes` int(11) NOT NULL default '0',
  `totalcomments` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`lid`),
  KEY `cid` (`cid`),
  KEY `title` (`title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_auto_links` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `sitename` varchar(100) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `link` varchar(100) NOT NULL default '',
  `mail` varchar(100) NOT NULL default '',
  `hits` int(11) NOT NULL default '0',
  `outs` int(11) NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_auto_links_ip` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL default '',
  `referer` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `referer_id` int(11) NOT NULL default '0',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_comment` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `modul` varchar(60) NOT NULL default '',
  `date` datetime default NULL,
  `uid` int(11) NOT NULL default '0',
  `name` varchar(60) NOT NULL default '',
  `host_name` varchar(60) default NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`),
  KEY `uid` (`uid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_clients` (
  `client_id` int(11) NOT NULL auto_increment,
  `client_id_user` int(11) NOT NULL default '0',
  `client_id_product` int(11) NOT NULL default '0',
  `client_id_partner` int(11) NOT NULL default '0',
  `client_partner_proz` int(3) NOT NULL default '0',
  `client_name` varchar(255) NOT NULL default '',
  `client_adres` varchar(255) NOT NULL default '',
  `client_phone` varchar(255) NOT NULL default '',
  `client_email` varchar(255) NOT NULL default '',
  `client_website` varchar(255) NOT NULL default '',
  `client_regdate` int(10) NOT NULL default '0',
  `client_enddate` int(10) NOT NULL default '0',
  `client_key` varchar(20) NOT NULL default '',
  `client_active` tinyint(1) NULL default '0',
  PRIMARY KEY  (`client_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_products` (
  `product_id` int(11) NOT NULL auto_increment,
  `product_cid` int(11) NOT NULL default '0',
  `product_time` datetime default NULL,
  `product_title` varbinary(100) default NULL,
  `product_text` text NOT NULL,
  `product_desc` text NOT NULL,
  `product_preis` int(11) NOT NULL default '0',
  `product_assoc` text NOT NULL,
  `product_com` int(11) NOT NULL default '0',
  `product_count` int(11) NOT NULL default '0',
  `product_votes` int(11) NOT NULL default '0',
  `product_totalvotes` int(11) NOT NULL default '0',
  `product_active` tinyint(1) NULL default '0',
  PRIMARY KEY  (`product_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_partners` (
  `partner_id` int(11) NOT NULL auto_increment,
  `partner_id_user` int(11) NOT NULL default '0',
  `partner_name` varchar(255) NOT NULL default '',
  `partner_adres` varchar(255) NOT NULL default '',
  `partner_phone` varchar(255) NOT NULL default '',
  `partner_email` varchar(255) NOT NULL default '',
  `partner_website` varchar(255) NOT NULL default '',
  `partner_webmoney` varchar(255) NOT NULL default '',
  `partner_paypal` varchar(255) NOT NULL default '',
  `partner_regdate` int(10) NOT NULL default '0',
  `partner_rest` varchar(10) NOT NULL default '',
  `partner_bek` varchar(10) NOT NULL default '',
  `partner_active` tinyint(1) NULL default '0',
  PRIMARY KEY (`partner_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_newsletter` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL,
  `content` text,
  `mails` mediumtext,
  `send` int(10) NOT NULL default '0',
  `time` datetime default NULL,
  `endtime` datetime default NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_rating` (
  `id` int(11) NOT NULL auto_increment,
  `mid` int(11) NOT NULL default '0',
  `modul` varchar(50) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `name` varchar(25) NOT NULL default '',
  `host` varchar(60) default NULL,
  PRIMARY KEY (`id`),
  KEY `mid` (`mid`),
  KEY `modul` (`modul`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_categories` (
  `id` int(11) NOT NULL auto_increment,
  `modul` varchar(50) NOT NULL default '',
  `title` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `img` varchar(100) NOT NULL default '',
  `language` varchar(30) NOT NULL default '',
  `parentid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `modul` (`modul`),
  KEY `parentid` (`parentid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `user_name` varchar(25) NOT NULL default '',
  `user_email` varchar(255) NOT NULL default '',
  `user_website` varchar(255) NOT NULL default '',
  `user_avatar` varchar(255) NOT NULL default '',
  `user_regdate` date NOT NULL,
  `user_icq` varchar(15) default NULL,
  `user_occ` varchar(100) default NULL,
  `user_from` varchar(100) default NULL,
  `user_interests` varchar(150) NOT NULL default '',
  `user_sig` varchar(255) default NULL,
  `user_viewemail` tinyint(1) default NULL,  
  `user_aim` varchar(18) default NULL,
  `user_yim` varchar(25) default NULL,
  `user_msnm` varchar(25) default NULL,
  `user_password` varchar(40) NOT NULL default '',
  `user_storynum` tinyint(4) NOT NULL default '10',
  `user_blockon` tinyint(1) NOT NULL default '0',
  `user_block` tinytext NOT NULL,
  `user_theme` varchar(255) NOT NULL default '',  
  `user_newsletter` int(1) NOT NULL default '0',
  `user_lastvisit` int(11) NOT NULL default '0',
  `user_lang` varchar(255) NOT NULL default 'russian',  
  `user_points` int(10) default '0',
  `user_last_ip` varchar(15) NOT NULL default '0',
  `user_warnings` int(5) NOT NULL default '0',
  `user_group` int(1) NOT NULL default '0',
  `user_birthday` date default NULL,
  `user_gender` int(1) NOT NULL default '0',
  `user_votes` int(11) NOT NULL default '0',
  `user_totalvotes` int(11) NOT NULL default '0',
  PRIMARY KEY (`user_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_users_temp` (
  `user_id` int(10) NOT NULL auto_increment,
  `user_name` varchar(25) NOT NULL default '',
  `user_email` varchar(255) NOT NULL default '',
  `user_password` varchar(40) NOT NULL default '',
  `user_regdate` date NOT NULL,
  `check_num` varchar(50) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  PRIMARY KEY (`user_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_media` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `title` varbinary(100) NOT NULL default '',
  `subtitle` varbinary(100) NOT NULL default '',
  `year` int(11) NOT NULL default '0',
  `director` varchar(100) NOT NULL default '',
  `roles` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `createdby` varchar(100) NOT NULL default '',
  `duration` varchar(100) NOT NULL default '',
  `lang` varchar(100) NOT NULL default '',
  `note` text NOT NULL,
  `format` varchar(100) NOT NULL default '',
  `quality` varchar(100) NOT NULL default '',
  `size` varchar(100) NOT NULL default '',
  `released` varchar(100) NOT NULL default '',
  `placed` varchar(100) NOT NULL default '',
  `links` text NOT NULL,
  `date` datetime default NULL,
  `votes` int(11) NOT NULL default '0',
  `totalvotes` int(11) NOT NULL default '0',
  `totalcom` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `cid` (`cid`),
  KEY `title` (`title`)
) TYPE=MyISAM;